Method: projects.locations.sampleQuerySets.sampleQueries.import

Impor massal beberapa SampleQuery. Contoh kueri yang sudah ada dapat dihapus.

Catatan: Sebagian SampleQuery dapat berhasil diimpor.

Permintaan HTTP

POST https://discoveryengine.googleapis.com/v1alpha/{parent=projects/*/locations/*/sampleQuerySets/*}/sampleQueries:import

URL menggunakan sintaks gRPC Transcoding.

Parameter jalur

Parameter
parent

string

Wajib diisi. Nama resource set contoh kueri induk, seperti projects/{project}/locations/{location}/sampleQuerySets/{sampleQuerySet}.

Jika pemanggil tidak memiliki izin untuk mencantumkan SampleQuery di set contoh kueri ini, terlepas dari apakah set contoh kueri ini ada atau tidak, error PERMISSION_DENIED akan ditampilkan.

Isi Permintaan

Isi permintaan memuat data dengan struktur berikut:

Representasi JSON
{
  "errorConfig": {
    object (ImportErrorConfig)
  },

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "inlineSource": {
    object (InlineSource)
  },
  "gcsSource": {
    object (GcsSource)
  },
  "bigquerySource": {
    object (BigQuerySource)
  }
  // End of mutually exclusive fields.
}
Kolom
errorConfig

object (ImportErrorConfig)

Lokasi yang diinginkan untuk error yang terjadi selama Impor.

Sumber contoh kueri. Berikut adalah daftar kolom yang saling eksklusif. Paling banyak satu kolom akan ditetapkan dalam respons:
inlineSource

object (InlineSource)

Sumber Inline untuk entri contoh kueri.

gcsSource

object (GcsSource)

Lokasi Cloud Storage untuk konten input.

bigquerySource

object (BigQuerySource)

Sumber input BigQuery.

Akhir kolom yang saling eksklusif.

Isi respons

Jika berhasil, isi respons akan memuat instance Operation.

Cakupan otorisasi

Memerlukan salah satu cakupan OAuth berikut:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

Untuk mengetahui informasi selengkapnya, lihat Authentication Overview.

Izin IAM

Memerlukan izin IAM berikut pada resource parent:

  • discoveryengine.sampleQueries.import

Untuk mengetahui informasi selengkapnya, lihat dokumentasi IAM.

InlineSource

Sumber inline untuk SampleQuery.

Representasi JSON
{
  "sampleQueries": [
    {
      object (SampleQuery)
    }
  ]
}
Kolom
sampleQueries[]

object (SampleQuery)

Wajib diisi. Daftar SampleQuery yang akan diimpor. Maksimum 1.000 item.